Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParticleOnPlane

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IPointAgent
                  igeo.IParticleOnPlane

All Implemented Interfaces:
  IArithmeticVal<IVecI,IDoubleI>, IDynamics, IParameter, IParticleI, ISubobject, ITransformable, IVal, IVecI, IVecOp

    public class IParticleOnPlane

extends IPointAgent
implements IParticleI

Class of an agent with IParticleOnPlaneGeo.

Author:
  Satoru Sugihara

Field Summary
`IVec` | `frc` only to refer to particle.vel and particle.frc
`IParticleOnPlaneGeo` | `particle`
`IVec` | `vel` only to refer to particle.vel and particle.frc

Fields inherited from class igeo.IPointAgent
`point, pos, tracker`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IParticleOnPlane(IParticleOnPlane p)`
`IParticleOnPlane(IParticleOnPlaneGeo p)`
`IParticleOnPlane(IVecI planeDir, IVecI planePt, IVecI pos)`
`IParticleOnPlane(IVecI planeDir, IVecI planePt, IVecI pos, IVecI vel)`

Method Summary
`IVec` | `acc()` get acceleration.
`IVec` | `acceleration()` get acceleration.
`IParticleOnPlane` | `add(double x, double y, double z)`
`IParticleOnPlane` | `add(double f, IVecI v)` scale add
`IParticleOnPlane` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnPlane` | `add(IDoubleI f, IVecI v)` scale add
`IParticleOnPlane` | `add(IVecI v)`
`IParticleOnPlane` | `add(IVecI v, double f)` scale add
`IParticleOnPlane` | `add(IVecI v, IDoubleI f)` scale add
`IParticleOnPlane` | `addForce(double fx, double fy, double fz)` alias of push
`IParticleOnPlane` | `addForce(IVecI f)` alias of push
`IParticleOnPlane` | `clr(java.awt.Color c)`
`IParticleOnPlane` | `clr(java.awt.Color c, double alpha)`
`IParticleOnPlane` | `clr(java.awt.Color c, float alpha)`
`IParticleOnPlane` | `clr(java.awt.Color c, int alpha)`
`IParticleOnPlane` | `clr(double dgray)`
`IParticleOnPlane` | `clr(double dgray, double dalpha)`
`IParticleOnPlane` | `clr(double dr, double dg, double db)`
`IParticleOnPlane` | `clr(double dr, double dg, double db, double da)`
`IParticleOnPlane` | `clr(float fgray)`
`IParticleOnPlane` | `clr(float fgray, float falpha)`
`IParticleOnPlane` | `clr(float fr, float fg, float fb)`
`IParticleOnPlane` | `clr(float fr, float fg, float fb, float fa)`
`IParticleOnPlane` | `clr(IColor c)` to set an object color
`IParticleOnPlane` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IParticleOnPlane` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IParticleOnPlane` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IParticleOnPlane` | `clr(int gray)`
`IParticleOnPlane` | `clr(int gray, int alpha)`
`IParticleOnPlane` | `clr(int r, int g, int b)`
`IParticleOnPlane` | `clr(int r, int g, int b, int a)`
`IParticleOnPlane` | `clr(IObject o)` to set the same color with the object
`IParticleOnPlane` | `cp()` alias of dup()
`IParticleOnPlane` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IParticleOnPlane` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
`IParticleOnPlane` | `cp(IVecI v)` cp() is alias of dup().add()
`double` | `decay()`
`IParticleOnPlane` | `decay(double d)`
`IParticleOnPlane` | `div(double v)`
`IParticleOnPlane` | `div(IDoubleI v)`
`IParticleOnPlane` | `dup()` duplicate object
`IParticleOnPlane` | `fix()` IParticleI API
`boolean` | `fixed()` check if it's fixed
`IParticleOnPlane` | `flip()` alias of neg()
`IVec` | `force()` get force
`IParticleOnPlane` | `force(IVecI v)` set force
`IVec` | `frc()` get force
`IParticleOnPlane` | `frc(IVecI v)` set force
`double` | `fric()` get friction
`IParticleOnPlane` | `fric(double friction)` set friction
`double` | `friction()` get friction
`IParticleOnPlane` | `friction(double friction)` set friction
`IParticleOnPlane` | `hide()`
`IParticleOnPlane` | `hsb(double h, double s, double b)`
`IParticleOnPlane` | `hsb(double h, double s, double b, double a)`
`IParticleOnPlane` | `hsb(float h, float s, float b)`
`IParticleOnPlane` | `hsb(float h, float s, float b, float a)`
`void` | `initParticleOnPlaneAgent(IParticleOnPlaneGeo ptcl)`
`void` | `initParticleOnPlaneAgent(IVecI planeDir, IVecI planePt, IVecI pos)`
`void` | `initParticleOnPlaneAgent(IVecI planeDir, IVecI planePt, IVecI pos, IVecI vel)`
`IParticleOnPlane` | `layer(ILayer l)` Set layer by ILayer object
`IParticleOnPlane` | `len(double l)` setting length
`IParticleOnPlane` | `len(IDoubleI l)` setting length
`double` | `mass()` get mass
`IParticleOnPlane` | `mass(double mass)` set mass
`IParticleOnPlane` | `mirror(double planeX, double planeY, double planeZ)` alias of ref
`IParticleOnPlane` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` alias of ref
`IParticleOnPlane` | `mirror(IVecI planeDir)` alias of ref
`IParticleOnPlane` | `mirror(IVecI center, IVecI planeDir)` alias of ref
`IParticleOnPlane` | `mul(double v)`
`IParticleOnPlane` | `mul(IDoubleI v)`
`IParticleOnPlane` | `mv(double x, double y, double z)` mv() is alias of add()
`IParticleOnPlane` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
`IParticleOnPlane` | `mv(IVecI v)` mv() is alias of add()
`IParticleOnPlane` | `name(java.lang.String nm)` methods of IObject
`IParticleOnPlane` | `neg()`
`IVec` | `pos()` get position
`IParticleOnPlane` | `pos(IVecI v)` set position
`IVec` | `position()` get position
`IParticleOnPlane` | `position(IVecI v)` set position
`IParticleOnPlane` | `pull(double fx, double fy, double fz)` equivalent to push(f.dup().neg())
`IParticleOnPlane` | `pull(IVecI f)` equivalent to push(f.dup().neg())
`IParticleOnPlane` | `push(double fx, double fy, double fz)` adding force to particle
`IParticleOnPlane` | `push(IVecI f)` adding force to particle
`IParticleOnPlane` | `ref(double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlane` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlane` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlane` | `ref(IVecI center, IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleOnPlane` | `removeTarget(int i)` remove target object.
`IParticleOnPlane` | `removeTarget(IObject obj)` remove target object.
`IParticleOnPlane` | `reset()` setting force zero
`IParticleOnPlane` | `resetForce()` alias of reset
`IParticleOnPlane` | `rev()` alias of neg()
`IParticleOnPlane` | `rot(double angle)` rotation on XY plane
`IParticleOnPlane` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
`IParticleOnPlane` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
`IParticleOnPlane` | `rot(IDoubleI angle)` rotation on XY plane
`IParticleOnPlane` | `rot(IVecI axis, double angle)` rotation around axis vector
`IParticleOnPlane` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IParticleOnPlane` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IParticleOnPlane` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
`IParticleOnPlane` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center point
`IParticleOnPlane` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IParticleOnPlane` | `rot2(double angle)` rotation on xy-plane; alias of rot(double)
`IParticleOnPlane` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
`IParticleOnPlane` | `rot2(IDoubleI angle)` rotation on xy-plane; alias of rot(IDoubleI)
`IParticleOnPlane` | `rot2(IVecI destDir)` rotation on xy-plane towards destDir
`IParticleOnPlane` | `rot2(IVecI center, double angle)` rotation on xy-plane
`IParticleOnPlane` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane
`IParticleOnPlane` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane towards destPt
`IParticleOnPlane` | `scale(double f)` alias of mul
`IParticleOnPlane` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
`IParticleOnPlane` | `scale(IDoubleI f)` alias of mul
`IParticleOnPlane` | `scale(IVecI center, double f)` scale from a center
`IParticleOnPlane` | `scale(IVecI center, IDoubleI f)` scale from a center
`IParticleOnPlane` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
`IParticleOnPlane` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
`IParticleOnPlane` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IParticleOnPlane` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
`IParticleOnPlane` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
`IParticleOnPlane` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
`IParticleOnPlane` | `set(double x, double y, double z)`
`IParticleOnPlane` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnPlane` | `set(IVecI v)`
`IParticleOnPlane` | `setColor(java.awt.Color c)`
`IParticleOnPlane` | `setColor(java.awt.Color c, double alpha)`
`IParticleOnPlane` | `setColor(java.awt.Color c, float alpha)`
`IParticleOnPlane` | `setColor(java.awt.Color c, int alpha)`
`IParticleOnPlane` | `setColor(double dgray)`
`IParticleOnPlane` | `setColor(double dgray, double dalpha)`
`IParticleOnPlane` | `setColor(double dr, double dg, double db)`
`IParticleOnPlane` | `setColor(double dr, double dg, double db, double da)`
`IParticleOnPlane` | `setColor(float fgray)`
`IParticleOnPlane` | `setColor(float fgray, float falpha)`
`IParticleOnPlane` | `setColor(float fr, float fg, float fb)`
`IParticleOnPlane` | `setColor(float fr, float fg, float fb, float fa)`
`IParticleOnPlane` | `setColor(IColor c)`
`IParticleOnPlane` | `setColor(IColor c, double alpha)`
`IParticleOnPlane` | `setColor(IColor c, float alpha)`
`IParticleOnPlane` | `setColor(IColor c, int alpha)`
`IParticleOnPlane` | `setColor(int gray)`
`IParticleOnPlane` | `setColor(int gray, int alpha)`
`IParticleOnPlane` | `setColor(int r, int g, int b)`
`IParticleOnPlane` | `setColor(int r, int g, int b, int a)`
`IParticleOnPlane` | `setHSBColor(double h, double s, double b)`
`IParticleOnPlane` | `setHSBColor(double h, double s, double b, double a)`
`IParticleOnPlane` | `setHSBColor(float h, float s, float b)`
`IParticleOnPlane` | `setHSBColor(float h, float s, float b, float a)`
`IParticleOnPlane` | `setSize(double sz)` methods of IPoint
`IParticleOnPlane` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleOnPlane` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleOnPlane` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleOnPlane` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleOnPlane` | `shearXY(double sxy, double syx)` shear operation on XY
`IParticleOnPlane` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleOnPlane` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
`IParticleOnPlane` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleOnPlane` | `shearYZ(double syz, double szy)` shear operation on YZ
`IParticleOnPlane` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleOnPlane` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
`IParticleOnPlane` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleOnPlane` | `shearZX(double szx, double sxz)` shear operation on ZX
`IParticleOnPlane` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleOnPlane` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
`IParticleOnPlane` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleOnPlane` | `show()`
`IParticleOnPlane` | `size(double sz)`
`boolean` | `skipUpdateOnce()` for other agent to control particle
`IParticleOnPlane` | `skipUpdateOnce(boolean f)` for other agent to control particle
`IParticleOnPlane` | `sub(double x, double y, double z)`
`IParticleOnPlane` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleOnPlane` | `sub(IVecI v)`
`IObject` | `target(int i)` get target object.
`IParticleOnPlane` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`int` | `targetNum()` get total target number.
`java.util.ArrayList<IObject>` | `targets()` get all target objects.
`IParticleOnPlane` | `transform(IMatrix3I mat)` transform with a transformation matrix
`IParticleOnPlane` | `transform(IMatrix4I mat)` transform with a transformation matrix
`IParticleOnPlane` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
`IParticleOnPlane` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
`IParticleOnPlane` | `translate(double x, double y, double z)` alias of add()
`IParticleOnPlane` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
`IParticleOnPlane` | `translate(IVecI v)` alias of add()
`IParticleOnPlane` | `unfix()` unfix movement
`IParticleOnPlane` | `unit()` unitize
`void` | `updateTarget()` update all terget objects (should be called when the dynamic object is updated).
`IVec` | `vel()` get velocity
`IParticleOnPlane` | `vel(IVecI v)` set velocity
`IVec` | `velocity()` get velocity
`IParticleOnPlane` | `velocity(IVecI v)` set velocity
`IParticleOnPlane` | `weight(double w)`
`IParticleOnPlane` | `weight(float w)`
`IParticleOnPlane` | `x(double vx)` methods of IVecI
`IParticleOnPlane` | `x(IDoubleI vx)` setting x component
`IParticleOnPlane` | `x(IVec2I vx)` setting x component by x component of input vector
`IParticleOnPlane` | `x(IVecI vx)` setting x component by x component of input vector
`IParticleOnPlane` | `y(double vy)` setting y component
`IParticleOnPlane` | `y(IDoubleI vy)` setting y component
`IParticleOnPlane` | `y(IVec2I vy)` setting y component by y component of input vector
`IParticleOnPlane` | `y(IVecI vy)` setting y component by y component of input vector
`IParticleOnPlane` | `z(double vz)` setting z component
`IParticleOnPlane` | `z(IDoubleI vz)` setting z component
`IParticleOnPlane` | `z(IVecI vz)` setting z component by z component of input vector
`IParticleOnPlane` | `zero()` setting all zero

Methods inherited from class igeo.IPointAgent
`angle, angle, angle, angle, angle, angle, angle, angle, attach, attach, bisect, bisect, brep, brep, brepNum, breps, cross, cross, curve, curve, curveNum, curves, del, del, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, hideGeometry, hidePoint, isValid, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, nml, nml, nml, nml, point, point, pointNum, points, showGeometry, showPoint, size, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, x, x, x, y, y, y, z, z, z`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, time, time, update, updateGraphic`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, brightness, castStringHashMap, clearDynamics, clearGraphics, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, grey, greyInt, hue, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, saturation, server, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface igeo.IVecI
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, get, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mid, mid, nml, nml, nml, nml, sum, sum, sum, sum, sum, sum, sum, to2d, to2d, to2d, to2d, to4d, to4d, to4d, x, x, x, y, y, y, z, z, z`

Field Detail

### particle

    public IParticleOnPlaneGeo particle

### vel

    public IVec vel

  only to refer to particle.vel and particle.frc

### frc

    public IVec frc

  only to refer to particle.vel and particle.frc

Constructor Detail

### IParticleOnPlane

    public IParticleOnPlane(IVecI planeDir,
                            IVecI planePt,
                            IVecI pos,
                            IVecI vel)

### IParticleOnPlane

    public IParticleOnPlane(IVecI planeDir,
                            IVecI planePt,
                            IVecI pos)

### IParticleOnPlane

    public IParticleOnPlane(IParticleOnPlaneGeo p)

### IParticleOnPlane

    public IParticleOnPlane(IParticleOnPlane p)

Method Detail

### initParticleOnPlaneAgent

    public void initParticleOnPlaneAgent(IVecI planeDir,
                                         IVecI planePt,
                                         IVecI pos,
                                         IVecI vel)

### initParticleOnPlaneAgent

    public void initParticleOnPlaneAgent(IVecI planeDir,
                                         IVecI planePt,
                                         IVecI pos)

### initParticleOnPlaneAgent

    public void initParticleOnPlaneAgent(IParticleOnPlaneGeo ptcl)

### fix

    public IParticleOnPlane fix()

  IParticleI API

  Specified by:
    `fix` in interface `IParticleI`

### unfix

    public IParticleOnPlane unfix()

  Description copied from interface: `IParticleI`
  unfix movement

  Specified by:
    `unfix` in interface `IParticleI`

### skipUpdateOnce

    public IParticleOnPlane skipUpdateOnce(boolean f)

  Description copied from interface: `IParticleI`
  for other agent to control particle

  Specified by:
    `skipUpdateOnce` in interface `IParticleI`

### skipUpdateOnce

    public boolean skipUpdateOnce()

  Description copied from interface: `IParticleI`
  for other agent to control particle

  Specified by:
    `skipUpdateOnce` in interface `IParticleI`

### fixed

    public boolean fixed()

  Description copied from interface: `IParticleI`
  check if it's fixed

  Specified by:
    `fixed` in interface `IParticleI`

### mass

    public double mass()

  Description copied from interface: `IParticleI`
  get mass

  Specified by:
    `mass` in interface `IParticleI`

### mass

    public IParticleOnPlane mass(double mass)

  Description copied from interface: `IParticleI`
  set mass

  Specified by:
    `mass` in interface `IParticleI`

### position

    public IVec position()

  Description copied from interface: `IParticleI`
  get position

  Specified by:
    `position` in interface `IParticleI`
  Overrides:
    `position` in class `IPointAgent`

### position

    public IParticleOnPlane position(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `position` in interface `IParticleI`
  Overrides:
    `position` in class `IPointAgent`

### pos

    public IVec pos()

  Description copied from interface: `IParticleI`
  get position

  Specified by:
    `pos` in interface `IParticleI`
  Overrides:
    `pos` in class `IPointAgent`

### pos

    public IParticleOnPlane pos(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `pos` in interface `IParticleI`
  Overrides:
    `pos` in class `IPointAgent`

### velocity

    public IVec velocity()

  Description copied from interface: `IParticleI`
  get velocity

  Specified by:
    `velocity` in interface `IParticleI`

### velocity

    public IParticleOnPlane velocity(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `velocity` in interface `IParticleI`

### vel

    public IVec vel()

  Description copied from interface: `IParticleI`
  get velocity

  Specified by:
    `vel` in interface `IParticleI`

### vel

    public IParticleOnPlane vel(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `vel` in interface `IParticleI`

### acceleration

    public IVec acceleration()

  Description copied from interface: `IParticleI`
  get acceleration. no method to set acceleration. set force instead

  Specified by:
    `acceleration` in interface `IParticleI`

### acc

    public IVec acc()

  Description copied from interface: `IParticleI`
  get acceleration. no method to set acceleration. set force instead

  Specified by:
    `acc` in interface `IParticleI`

### force

    public IVec force()

  Description copied from interface: `IParticleI`
  get force

  Specified by:
    `force` in interface `IParticleI`

### force

    public IParticleOnPlane force(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `force` in interface `IParticleI`

### frc

    public IVec frc()

  Description copied from interface: `IParticleI`
  get force

  Specified by:
    `frc` in interface `IParticleI`

### frc

    public IParticleOnPlane frc(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `frc` in interface `IParticleI`

### friction

    public double friction()

  Description copied from interface: `IParticleI`
  get friction

  Specified by:
    `friction` in interface `IParticleI`

### friction

    public IParticleOnPlane friction(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `friction` in interface `IParticleI`

### fric

    public double fric()

  Description copied from interface: `IParticleI`
  get friction

  Specified by:
    `fric` in interface `IParticleI`

### fric

    public IParticleOnPlane fric(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `fric` in interface `IParticleI`

### decay

    public double decay()

  Specified by:
    `decay` in interface `IParticleI`

### decay

    public IParticleOnPlane decay(double d)

  Specified by:
    `decay` in interface `IParticleI`

### push

    public IParticleOnPlane push(IVecI f)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`

### push

    public IParticleOnPlane push(double fx,
                                 double fy,
                                 double fz)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`

### pull

    public IParticleOnPlane pull(IVecI f)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`

### pull

    public IParticleOnPlane pull(double fx,
                                 double fy,
                                 double fz)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`

### addForce

    public IParticleOnPlane addForce(IVecI f)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`

### addForce

    public IParticleOnPlane addForce(double fx,
                                     double fy,
                                     double fz)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`

### reset

    public IParticleOnPlane reset()

  Description copied from interface: `IParticleI`
  setting force zero

  Specified by:
    `reset` in interface `IParticleI`

### resetForce

    public IParticleOnPlane resetForce()

  Description copied from interface: `IParticleI`
  alias of reset

  Specified by:
    `resetForce` in interface `IParticleI`

### target

    public IParticleOnPlane target(IObject targetObj)

  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`
  Specified by:
    `target` in interface `IParticleI`
  Overrides:
    `target` in class `IAgent`

### targetNum

    public int targetNum()

  get total target number.

  Specified by:
    `targetNum` in interface `IDynamics`
  Specified by:
    `targetNum` in interface `IParticleI`
  Overrides:
    `targetNum` in class `IAgent`

### target

    public IObject target(int i)

  get target object.

  Specified by:
    `target` in interface `IDynamics`
  Specified by:
    `target` in interface `IParticleI`
  Overrides:
    `target` in class `IAgent`

### targets

    public java.util.ArrayList<IObject> targets()

  get all target objects.

  Specified by:
    `targets` in interface `IDynamics`
  Specified by:
    `targets` in interface `IParticleI`
  Overrides:
    `targets` in class `IAgent`

### removeTarget

    public IParticleOnPlane removeTarget(int i)

  Description copied from class: `IAgent`
  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IAgent`

### removeTarget

    public IParticleOnPlane removeTarget(IObject obj)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IAgent`

### updateTarget

    public void updateTarget()

  update all terget objects (should be called when the dynamic object is updated).

  Specified by:
    `updateTarget` in interface `IDynamics`
  Specified by:
    `updateTarget` in interface `IParticleI`
  Overrides:
    `updateTarget` in class `IAgent`

### x

    public IParticleOnPlane x(double vx)

  methods of IVecI

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IPointAgent`

### y

    public IParticleOnPlane y(double vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IPointAgent`

### z

    public IParticleOnPlane z(double vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IPointAgent`

### x

    public IParticleOnPlane x(IDoubleI vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IPointAgent`

### y

    public IParticleOnPlane y(IDoubleI vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IPointAgent`

### z

    public IParticleOnPlane z(IDoubleI vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IPointAgent`

### x

    public IParticleOnPlane x(IVecI vx)

  Description copied from class: `IPointAgent`
  setting x component by x component of input vector

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IPointAgent`

### y

    public IParticleOnPlane y(IVecI vy)

  Description copied from class: `IPointAgent`
  setting y component by y component of input vector

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IPointAgent`

### z

    public IParticleOnPlane z(IVecI vz)

  Description copied from class: `IPointAgent`
  setting z component by z component of input vector

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IPointAgent`

### x

    public IParticleOnPlane x(IVec2I vx)

  Description copied from class: `IPointAgent`
  setting x component by x component of input vector

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IPointAgent`

### y

    public IParticleOnPlane y(IVec2I vy)

  Description copied from class: `IPointAgent`
  setting y component by y component of input vector

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IPointAgent`

### dup

    public IParticleOnPlane dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IPointAgent`

### set

    public IParticleOnPlane set(IVecI v)

  Specified by:
    `set` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IPointAgent`

### set

    public IParticleOnPlane set(double x,
                                double y,
                                double z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IPointAgent`

### set

    public IParticleOnPlane set(IDoubleI x,
                                IDoubleI y,
                                IDoubleI z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IPointAgent`

### add

    public IParticleOnPlane add(double x,
                                double y,
                                double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IPointAgent`

### add

    public IParticleOnPlane add(IDoubleI x,
                                IDoubleI y,
                                IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IPointAgent`

### add

    public IParticleOnPlane add(IVecI v)

  Specified by:
    `add` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IPointAgent`

### sub

    public IParticleOnPlane sub(double x,
                                double y,
                                double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IPointAgent`

### sub

    public IParticleOnPlane sub(IDoubleI x,
                                IDoubleI y,
                                IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IPointAgent`

### sub

    public IParticleOnPlane sub(IVecI v)

  Specified by:
    `sub` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IPointAgent`

### mul

    public IParticleOnPlane mul(IDoubleI v)

  Specified by:
    `mul` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IPointAgent`

### mul

    public IParticleOnPlane mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IPointAgent`

### div

    public IParticleOnPlane div(IDoubleI v)

  Specified by:
    `div` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IPointAgent`

### div

    public IParticleOnPlane div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IPointAgent`

### neg

    public IParticleOnPlane neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Overrides:
    `neg` in class `IPointAgent`

### rev

    public IParticleOnPlane rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`
  Overrides:
    `rev` in class `IPointAgent`

### flip

    public IParticleOnPlane flip()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Overrides:
    `flip` in class `IPointAgent`

### zero

    public IParticleOnPlane zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `zero` in interface `IVecI`
  Overrides:
    `zero` in class `IPointAgent`

### add

    public IParticleOnPlane add(IVecI v,
                                double f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IPointAgent`

### add

    public IParticleOnPlane add(IVecI v,
                                IDoubleI f)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IPointAgent`

### add

    public IParticleOnPlane add(double f,
                                IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IPointAgent`

### add

    public IParticleOnPlane add(IDoubleI f,
                                IVecI v)

  Description copied from interface: `IVecI`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IPointAgent`

### len

    public IParticleOnPlane len(IDoubleI l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IPointAgent`

### len

    public IParticleOnPlane len(double l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IPointAgent`

### unit

    public IParticleOnPlane unit()

  Description copied from interface: `IVecI`
  unitize

  Specified by:
    `unit` in interface `IVecI`
  Overrides:
    `unit` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(double angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(IVecI axis,
                                IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(IVecI axis,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(double axisX,
                                double axisY,
                                double axisZ,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(IVecI center,
                                IVecI axis,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(IVecI center,
                                IVecI axis,
                                IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(double centerX,
                                double centerY,
                                double centerZ,
                                double axisX,
                                double axisY,
                                double axisZ,
                                double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(IVecI axis,
                                IVecI destDir)

  Description copied from interface: `IVecI`
  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot

    public IParticleOnPlane rot(IVecI center,
                                IVecI axis,
                                IVecI destPt)

  Description copied from interface: `IVecI`
  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IPointAgent`

### rot2

    public IParticleOnPlane rot2(IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane; alias of rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IPointAgent`

### rot2

    public IParticleOnPlane rot2(double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane; alias of rot(double)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IPointAgent`

### rot2

    public IParticleOnPlane rot2(IVecI center,
                                 double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IPointAgent`

### rot2

    public IParticleOnPlane rot2(IVecI center,
                                 IDoubleI angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IPointAgent`

### rot2

    public IParticleOnPlane rot2(double centerX,
                                 double centerY,
                                 double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IPointAgent`

### rot2

    public IParticleOnPlane rot2(IVecI destDir)

  Description copied from interface: `IVecI`
  rotation on xy-plane towards destDir

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IPointAgent`

### rot2

    public IParticleOnPlane rot2(IVecI center,
                                 IVecI destPt)

  Description copied from interface: `IVecI`
  rotation on xy-plane towards destPt

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IPointAgent`

### scale

    public IParticleOnPlane scale(IDoubleI f)

  Description copied from interface: `IVecI`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IPointAgent`

### scale

    public IParticleOnPlane scale(double f)

  Description copied from interface: `IVecI`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IPointAgent`

### scale

    public IParticleOnPlane scale(IVecI center,
                                  IDoubleI f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IPointAgent`

### scale

    public IParticleOnPlane scale(IVecI center,
                                  double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IPointAgent`

### scale

    public IParticleOnPlane scale(double centerX,
                                  double centerY,
                                  double centerZ,
                                  double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IPointAgent`

### scale1d

    public IParticleOnPlane scale1d(IVecI axis,
                                    double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IPointAgent`

### scale1d

    public IParticleOnPlane scale1d(IVecI axis,
                                    IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IPointAgent`

### scale1d

    public IParticleOnPlane scale1d(double axisX,
                                    double axisY,
                                    double axisZ,
                                    double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IPointAgent`

### scale1d

    public IParticleOnPlane scale1d(IVecI center,
                                    IVecI axis,
                                    double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IPointAgent`

### scale1d

    public IParticleOnPlane scale1d(IVecI center,
                                    IVecI axis,
                                    IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IPointAgent`

### scale1d

    public IParticleOnPlane scale1d(double centerX,
                                    double centerY,
                                    double centerZ,
                                    double axisX,
                                    double axisY,
                                    double axisZ,
                                    double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IPointAgent`

### ref

    public IParticleOnPlane ref(IVecI planeDir)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IPointAgent`

### ref

    public IParticleOnPlane ref(double planeX,
                                double planeY,
                                double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IPointAgent`

### ref

    public IParticleOnPlane ref(IVecI center,
                                IVecI planeDir)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IPointAgent`

### ref

    public IParticleOnPlane ref(double centerX,
                                double centerY,
                                double centerZ,
                                double planeX,
                                double planeY,
                                double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IPointAgent`

### mirror

    public IParticleOnPlane mirror(IVecI planeDir)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IPointAgent`

### mirror

    public IParticleOnPlane mirror(double planeX,
                                   double planeY,
                                   double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IPointAgent`

### mirror

    public IParticleOnPlane mirror(IVecI center,
                                   IVecI planeDir)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IPointAgent`

### mirror

    public IParticleOnPlane mirror(double centerX,
                                   double centerY,
                                   double centerZ,
                                   double planeX,
                                   double planeY,
                                   double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IPointAgent`

### shear

    public IParticleOnPlane shear(double sxy,
                                  double syx,
                                  double syz,
                                  double szy,
                                  double szx,
                                  double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IPointAgent`

### shear

    public IParticleOnPlane shear(IDoubleI sxy,
                                  IDoubleI syx,
                                  IDoubleI syz,
                                  IDoubleI szy,
                                  IDoubleI szx,
                                  IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IPointAgent`

### shear

    public IParticleOnPlane shear(IVecI center,
                                  double sxy,
                                  double syx,
                                  double syz,
                                  double szy,
                                  double szx,
                                  double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IPointAgent`

### shear

    public IParticleOnPlane shear(IVecI center,
                                  IDoubleI sxy,
                                  IDoubleI syx,
                                  IDoubleI syz,
                                  IDoubleI szy,
                                  IDoubleI szx,
                                  IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IPointAgent`

### shearXY

    public IParticleOnPlane shearXY(double sxy,
                                    double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IPointAgent`

### shearXY

    public IParticleOnPlane shearXY(IDoubleI sxy,
                                    IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IPointAgent`

### shearXY

    public IParticleOnPlane shearXY(IVecI center,
                                    double sxy,
                                    double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IPointAgent`

### shearXY

    public IParticleOnPlane shearXY(IVecI center,
                                    IDoubleI sxy,
                                    IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IPointAgent`

### shearYZ

    public IParticleOnPlane shearYZ(double syz,
                                    double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IPointAgent`

### shearYZ

    public IParticleOnPlane shearYZ(IDoubleI syz,
                                    IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IPointAgent`

### shearYZ

    public IParticleOnPlane shearYZ(IVecI center,
                                    double syz,
                                    double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IPointAgent`

### shearYZ

    public IParticleOnPlane shearYZ(IVecI center,
                                    IDoubleI syz,
                                    IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IPointAgent`

### shearZX

    public IParticleOnPlane shearZX(double szx,
                                    double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IPointAgent`

### shearZX

    public IParticleOnPlane shearZX(IDoubleI szx,
                                    IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IPointAgent`

### shearZX

    public IParticleOnPlane shearZX(IVecI center,
                                    double szx,
                                    double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IPointAgent`

### shearZX

    public IParticleOnPlane shearZX(IVecI center,
                                    IDoubleI szx,
                                    IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IPointAgent`

### translate

    public IParticleOnPlane translate(double x,
                                      double y,
                                      double z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IPointAgent`

### translate

    public IParticleOnPlane translate(IDoubleI x,
                                      IDoubleI y,
                                      IDoubleI z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IPointAgent`

### translate

    public IParticleOnPlane translate(IVecI v)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IPointAgent`

### transform

    public IParticleOnPlane transform(IMatrix3I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IPointAgent`

### transform

    public IParticleOnPlane transform(IMatrix4I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IPointAgent`

### transform

    public IParticleOnPlane transform(IVecI xvec,
                                      IVecI yvec,
                                      IVecI zvec)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IPointAgent`

### transform

    public IParticleOnPlane transform(IVecI xvec,
                                      IVecI yvec,
                                      IVecI zvec,
                                      IVecI translate)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IPointAgent`

### mv

    public IParticleOnPlane mv(double x,
                               double y,
                               double z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IPointAgent`

### mv

    public IParticleOnPlane mv(IDoubleI x,
                               IDoubleI y,
                               IDoubleI z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IPointAgent`

### mv

    public IParticleOnPlane mv(IVecI v)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IPointAgent`

### cp

    public IParticleOnPlane cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `IArithmeticVal<IVecI,IDoubleI>`
  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IPointAgent`

### cp

    public IParticleOnPlane cp(double x,
                               double y,
                               double z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IPointAgent`

### cp

    public IParticleOnPlane cp(IDoubleI x,
                               IDoubleI y,
                               IDoubleI z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IPointAgent`

### cp

    public IParticleOnPlane cp(IVecI v)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IPointAgent`

### setSize

    public IParticleOnPlane setSize(double sz)

  methods of IPoint

  Overrides:
    `setSize` in class `IPointAgent`

### size

    public IParticleOnPlane size(double sz)

  Overrides:
    `size` in class `IPointAgent`

### name

    public IParticleOnPlane name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IPointAgent`

### layer

    public IParticleOnPlane layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IPointAgent`

### show

    public IParticleOnPlane show()

  Overrides:
    `show` in class `IPointAgent`

### hide

    public IParticleOnPlane hide()

  Overrides:
    `hide` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(IColor c)

  Description copied from class: `IObject`
  to set an object color

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(IColor c,
                                int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(IColor c,
                                float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(IColor c,
                                double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(IObject o)

  Description copied from class: `IObject`
  to set the same color with the object

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleOnPlane clr(java.awt.Color c,
                                int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleOnPlane clr(java.awt.Color c,
                                float alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleOnPlane clr(java.awt.Color c,
                                double alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleOnPlane clr(int gray)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(float fgray)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(double dgray)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(int gray,
                                int alpha)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(float fgray,
                                float falpha)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(double dgray,
                                double dalpha)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(int r,
                                int g,
                                int b)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(float fr,
                                float fg,
                                float fb)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(double dr,
                                double dg,
                                double db)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(int r,
                                int g,
                                int b,
                                int a)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(float fr,
                                float fg,
                                float fb,
                                float fa)

  Overrides:
    `clr` in class `IPointAgent`

### clr

    public IParticleOnPlane clr(double dr,
                                double dg,
                                double db,
                                double da)

  Overrides:
    `clr` in class `IPointAgent`

### hsb

    public IParticleOnPlane hsb(float h,
                                float s,
                                float b,
                                float a)

  Overrides:
    `hsb` in class `IPointAgent`

### hsb

    public IParticleOnPlane hsb(double h,
                                double s,
                                double b,
                                double a)

  Overrides:
    `hsb` in class `IPointAgent`

### hsb

    public IParticleOnPlane hsb(float h,
                                float s,
                                float b)

  Overrides:
    `hsb` in class `IPointAgent`

### hsb

    public IParticleOnPlane hsb(double h,
                                double s,
                                double b)

  Overrides:
    `hsb` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(IColor c)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(IColor c,
                                     int alpha)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(IColor c,
                                     float alpha)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(IColor c,
                                     double alpha)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleOnPlane setColor(java.awt.Color c,
                                     int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleOnPlane setColor(java.awt.Color c,
                                     float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleOnPlane setColor(java.awt.Color c,
                                     double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleOnPlane setColor(int gray)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(float fgray)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(double dgray)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(int gray,
                                     int alpha)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(float fgray,
                                     float falpha)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(double dgray,
                                     double dalpha)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(int r,
                                     int g,
                                     int b)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(float fr,
                                     float fg,
                                     float fb)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(double dr,
                                     double dg,
                                     double db)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(int r,
                                     int g,
                                     int b,
                                     int a)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(float fr,
                                     float fg,
                                     float fb,
                                     float fa)

  Overrides:
    `setColor` in class `IPointAgent`

### setColor

    public IParticleOnPlane setColor(double dr,
                                     double dg,
                                     double db,
                                     double da)

  Overrides:
    `setColor` in class `IPointAgent`

### setHSBColor

    public IParticleOnPlane setHSBColor(float h,
                                        float s,
                                        float b,
                                        float a)

  Overrides:
    `setHSBColor` in class `IPointAgent`

### setHSBColor

    public IParticleOnPlane setHSBColor(double h,
                                        double s,
                                        double b,
                                        double a)

  Overrides:
    `setHSBColor` in class `IPointAgent`

### setHSBColor

    public IParticleOnPlane setHSBColor(float h,
                                        float s,
                                        float b)

  Overrides:
    `setHSBColor` in class `IPointAgent`

### setHSBColor

    public IParticleOnPlane setHSBColor(double h,
                                        double s,
                                        double b)

  Overrides:
    `setHSBColor` in class `IPointAgent`

### weight

    public IParticleOnPlane weight(double w)

  Overrides:
    `weight` in class `IPointAgent`

### weight

    public IParticleOnPlane weight(float w)

  Overrides:
    `weight` in class `IPointAgent`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD